Recommended update for growpart-rootgrow

SUSE Recommended Update: Recommended update for growpart-rootgrow
Announcement ID: SUSE-RU-2020:0980-1
Rating: moderate
References: #1165198
Affected Products:
  • SUSE Linux Enterprise Module for Public Cloud 12

An update that has one recommended fix can now be installed.

Description:

This update for growpart-rootgrow contains the following fixes:

  • Switch implementation to use Popen for Python 3.4 compatibility. (bsc#1165198)

  • Bump version: 1.0.2 to 1.0.3

  • Fixed unit tests and style: This clobbers several fixes into one. This commit includes several pep8 style fixes mostly on the indentation level. In addition it fixes the unit tests to really cover all code and to make the exception tests really effective.

  • Switch to use Popen instead of run. The run() fuction in the subprocess module was implemented after Python 3.4. However, Python 3.4 support for SLES 12 is needed

  • Bump version: 1.0.1 to 1.0.2

  • Package LICENSE file included in the rpm

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Module for Public Cloud 12:
    zypper in -t patch SUSE-SLE-Module-Public-Cloud-12-2020-980=1

Package List:

  • SUSE Linux Enterprise Module for Public Cloud 12 (noarch):
    • growpart-rootgrow-1.0.3-1.6.1

References: